# ``twisted`.`internet`.`endpoints`.`TCP6ServerEndpoint``

class documentation

`class TCP6ServerEndpoint(_TCPServerEndpoint): (source)`

View In Hierarchy

Implements TCP server endpoint with an IPv6 configuration

Method | `__init__` |

Inherited from `_TCPServerEndpoint`:

Method | `listen` | Implement `IStreamServerEndpoint.listen` to listen on a TCP socket
Instance Variable | `_backlog` | Undocumented
Instance Variable | `_interface` | Undocumented
Instance Variable | `_port` | Undocumented
Instance Variable | `_reactor` | Undocumented

def __init__(self, reactor, port, backlog=50, interface='::'): (source)
overrides `twisted.internet.endpoints._TCPServerEndpoint.__init__`

Parameters
reactor | An `IReactorTCP` provider.
port:int | The port number used for listening
backlog:int | Size of the listen queue
interface:str | The hostname to bind to, defaults to `::` (all)